Package org.eclipse.cdt.utils

# Class AR.ARHeader

java.lang.Object
org.eclipse.cdt.utils.AR.ARHeader

Enclosing class:
  AR

public class AR.ARHeader extends Object
The `ARHeader` class is used to store the per-object file archive headers. It can also create an Elf object for inspecting the object file data.

## Method Summary

Modifier and Type
Method
Description
`String`
`getArchiveName()`
`byte[]`
`getObjectData()`
`long`
`getObjectDataOffset()`
`String`
`getObjectName()`
Get the name of the object file
`long`
`getSize()`
Get the size of the object file .

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getObjectName

public String getObjectName()
Get the name of the object file

### getSize

public long getSize()
Get the size of the object file .

### getArchiveName

public String getArchiveName()

### getObjectDataOffset

public long getObjectDataOffset()

### getObjectData

public byte[] getObjectData() throws IOException

Throws:
  `IOException`